Update an RNA sequence
Update an RNA sequence
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
rna_sequence_id
Request
This endpoint expects an object.
aliases
Aliases to add to the RNA sequence
annotations
Annotations to create on the RNA sequence.
bases
Base pairs for the RNA sequence.
customFields
Custom fields to add to the RNA sequence. Every field should have its name as a key, mapping to an object with information about the value of the field.
customNotation
Representation of the sequence or oligo in the custom notation specified by customNotationId
customNotationId
ID of the notation used to interpret the string provided in the customNotation field
entityRegistryId
fields
Fields to set on the RNA sequence. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderId
ID of the folder containing the RNA sequence.
helm
Representation of the RNA sequence in HELM syntax, including any chemical modifications
isCircular
Whether the RNA sequence is circular or linear. RNA sequences can only be linear
name
Name of the RNA sequence.
parts
primers
schemaId
ID of the RNA sequence's schema.
translations
Translations to create on the RNA sequence. Translations are specified by either a combination of 'start' and 'end' fields, or a list of regions. Both cannot be provided.
Response
OK
aliases
alignmentIds
API IDs of Nucleotide Alignments involving the RNA sequence
annotations
apiURL
The canonical url of the RNA Sequence in the API.
archiveRecord
bases
createdAt
creator
customFields
customNotation
Representation of the RNA Sequence in the custom notation specified in the request. Null if no notation was specified.
customNotationName
Name of the custom notation specified in the request. Null if no notation was specified.
entityRegistryId
fields
folderId
helm
Representation of the RNA Sequence in HELM syntax, including any chemical modifications.
id
isCircular
length
modifiedAt
name
parts
primers
registrationOrigin
registryId
schema
translations
url
The path of the web URL, omitting the tenant domain
webURL
Errors
400
Bad Request Error